<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">
    <LinearLayout
        android:id="@+id/headerLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:layout_marginBottom="10dp"
        android:orientation="horizontal">
        <TextView
            android:id="@+id/headerText"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Header" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/listItemLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">
        <FrameLayout
            android:id="@+id/itemContainer"
            android:tag="1"
            android:orientation="vertical"
            android:layout_width="0dip"
            android:layout_weight="0.33"
            android:layout_height="190dp"
            android:layout_margin="2dp">
            <ImageView
                android:tag="image"
                android:contentDescription="first image"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:scaleType="centerCrop" />
        </FrameLayout>

        <FrameLayout
            android:id="@+id/itemContainer2"
            android:tag="2"
            android:orientation="vertical"
            android:layout_width="0dip"
            android:layout_weight="0.33"
            android:layout_height="190dp"
            android:layout_margin="2dp">
            <ImageView
                android:tag="image"
                android:contentDescription="second image"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:scaleType="centerCrop" />
        </FrameLayout>

        <FrameLayout
            android:id="@+id/itemContainer3"
            android:tag="3"
            android:orientation="vertical"
            android:layout_width="0dip"
            android:layout_weight="0.33"
            android:layout_height="190dp"
            android:layout_margin="2dp">
            <ImageView
                android:tag="image"
                android:contentDescription="third image"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:scaleType="centerCrop" />
        </FrameLayout>
    </LinearLayout>
</LinearLayout>
